### Function

# GdkContentSerializeFunc

#### Declaration

    void
    (* GdkContentSerializeFunc) (
      GdkContentSerializer* serializer
    )

#### Description [src]

The type of a function that can be registered with gdk_content_register_serializer().

When the function gets called to operate on content, it can call functions on the `serializer` object to obtain the mime type, output stream, user data, etc. for its operation.

#### Parameters

`serializer`

  Type: `GdkContentSerializer`

  A `GdkContentSerializer`

  The data is owned by the caller of the function.